@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    scroll-behavior: smooth;
}

body {
    height: 100vh;
}

header {
    display: flex;
    align-items: center;
    gap: 40px;
    margin: 10px;
}

header img {
    height: 80px;
    margin-top: 20px;
    margin-left: 20px;
}

header a {
    color: white;
    text-decoration: none;
    font-size: 24px;
    cursor: pointer;
    transition: 0.2s ease;
}

header a:hover {
    color: red;
}

header a:active {
    transform: scale(0.95);
    color: rgb(240, 105, 105);
}



.logo {
    width: 300px;
}

main {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 10px;
    height: 70vh;
    margin-top: 0;
}

.main-content {
    width: 50%;
    color: white;
}

button {
    background-color: red;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    transition: 0.2s ease;
    font-weight: bold;
    font-size: 16px;
    margin-top: 20px;
}

button:hover {
    background-color: darkred;
    cursor: pointer;
    box-shadow: rgb(145, 17, 17) 0px 13px 27px -5px, rgb(87, 8, 8) 0px 8px 16px -8px;
}

button:active {
    transform: scale(0.95);
}

.homem-forte {
    height: 700px;
}

.feedback {
    display: flex;
    background-color: black;
    color: white;
    height: 300px;
    margin-top: 200px;
    padding: 30px;
    align-items: center;
    justify-content: center;
    position: relative;
    height: 70vh;

}


.title {
    position: absolute;
    top: 50px;
    font-size: 800;
}


.box-feedback {
    display: flex;
    flex-direction: column;
    padding: 15px;
    text-align: center;
    align-items: center;
    justify-content: center;
    border: 1px solid white;
    border-radius: 10px;
    width: 500px;
    height: 300px;
    margin: 0 50px;
    transition: 0.5s;

}

.box-feedback:hover {
    transform: scale(1.3);
    width: 300px;
    margin: 20px;
    border: 1px solid rgb(255, 0, 0);
    z-index: 100;
}

.section-map {
    padding: 40px;
    text-align: center;
    background-color: rgb(255, 255, 255);

}

.section-map h1 {
    color: rgb(7, 7, 7);
    font-size: 50px;
    font-weight: bold;
    padding-bottom: 20px;
}

.section-map iframe {
    width: 1000px;
    border-radius: 10px;
    box-shadow: rgb(0, 0, 0) 0px 13px 27px -5px, rgb(3, 3, 3) 0px 8px 16px -8px;
    transition: 0.5s ease;

}

.section-map iframe:hover {
    transform: scale(1.1);
}

.fundo {
    position: fixed;
    z-index: -2;
    top: 0;
}

.fundo img {
    min-height: 100%;
    min-width: 100%;
    position: fixed;
    top: 0;
}


.mask {
    height: 100vh;
    width: 100vw;
    background: linear-gradient(109deg, rgba(10, 12, 16, 0.99) 15%, rgba(10, 12, 16, 0.7) 50%, rgba(10, 12, 16, 0.99) 85%);
    position: fixed;
    top: 0;
}

footer {
    display: flex;
    flex-direction: column;
    height: 400px;
    background-color: rgb(0, 0, 0, 0.7);

}

footer h1 {
    text-align: center;
    color: white;
    margin-bottom: 10px;
    margin-top: 30px;
}

.wrap-footer {
    display: flex;
    flex-direction: column;
    margin: 50px auto;
    align-items: center;
    justify-content: center;
}

.whatsapp {
    display: flex;
    background-color: rgb(41, 179, 41);
    color: white;
    width: 400px;
    height: 50px;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    border-radius: 10px;
    font-weight: bold;
    transition: 0.5s ease;
    margin-bottom: 20px;
}

.whatsapp img {
    width: 30px;
    margin-right: 5px;
}

.whatsapp:hover {
    transform: scale(1.1);
    cursor: pointer;
    box-shadow: rgba(48, 253, 58, 0.596) 0px 13px 27px -5px, rgb(4, 78, 35) 0px 8px 16px -8px;
}

.whatsapp:active {
    background-color: rgb(124, 228, 124);
    transform: scale(0.9);
}

.instagram {
    display: flex;
    background-color: rgb(174, 41, 179);
    color: white;
    width: 400px;
    height: 50px;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    border-radius: 10px;
    font-weight: bold;
    transition: 0.5s ease;
    margin-bottom: 20px;
}

.instagram img {
    width: 30px;
    margin-right: 5px;
}

.instagram:hover {
    transform: scale(1.1);
    cursor: pointer;
    box-shadow: rgba(162, 0, 255, 0.596) 0px 13px 27px -5px, rgb(150, 4, 130) 0px 8px 16px -8px;
}


.formulario-fale-conosco {
    width: 300px;
    background-color: white;
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 30%;
    left: -290px;
    padding: 30px;
    border-radius: 10px;
    gap: 10px;
    transition: left 0.5s ease;

}

/*
inicio
    top: 30%;
    left: -250px;                   

final
    top: 30%;
    left: 50%;
    transform: translateX(-50%);
*/

.formulario-fale-conosco h1 {
    text-align: center;
    font-weight: 900
}


input {
    height: 40px;
    border-radius: 10px;
    border: 1px solid gray;
    padding-left: 10px;
    transition: 0.5s ease;
}

input:focus {
    outline-color: rgb(1, 255, 1);
}

textarea {
    height: 100px;
    border-radius: 10px;
    border: 1px solid gray;
    padding-left: 10px;
}

textarea:focus {
    outline-color: rgb(1, 255, 1);
}



.form-mask {
    visibility: hidden;
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: linear-gradient(90deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.82) 100%, rgba(166, 166, 166, 1) 100%, rgba(255, 255, 255, 0) 100%);
    transition: opacity 0.5s ease;
}




.box-plans {
    display: flex;
    flex-direction: column;
    padding: 15px;
    text-align: center;
    align-items: center;
    justify-content: center;
    border: 1px solid white;
    border-radius: 10px;
    width: 500px;
    height: 300px;
    margin: 0 50px;
    transition: 0.5s;
}


/* media query*/

@media(max-width: 1100px) {

    header {
        gap: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    header img {
        display: none;
    }

    header a {
        font-size: 25px;
        margin: 10px;
    }


    .main-content p {
        display: none;
    }

    main {
        display: flex;
        flex-direction: column;
        padding: 10px;
    }

    .main-content {
        display: flex;
        flex-direction: column;
        align-items: center;

    }

    .main-content img {
        width: 60vw;
        height: auto;
    }

    .right-content {
        display: none;

    }

    .box-feedback:hover {
        transform: scale(1.1);
        width: 500px;
        height: 300px;
        margin: 0 50px;
        border: 1px solid rgb(255, 0, 0);
        z-index: 100;

    }

    .section-map iframe{
        width: 800px;
    }

    .section-map iframe:hover{
        transform: scale(1.0);
    }

}

@media(max-width: 430px) {

    body{
        width:100vw ;
        height: auto;
    }

    header {
        display: flex;
        align-items: center;
        width: 90vw;
        margin: 10px 20px;
        
    }

    header img {
        display: none;
    }

    header a {
        text-align: center;
        font-size: 15px;
        font-weight: bold;
        margin: 10px;
    }


    .main-content p {
        display: none;
    }

    main {
        display: flex;
        flex-direction: column;
        padding: 10px;
        height: 50vh;
    }

    .main-content {
        display: flex;
        flex-direction: column;
        align-items: center;

    }

    .main-content img {
        width: 90vw;
        height: auto;
    }

    .right-content {
        display: none;

    }

    .feedback{
        display: flex;
        flex-direction: column;
        height: auto;
        width: auto;
        padding: 30px;
    }

    .title{ 
        position: static;
        margin: 20px 0px;

    }

    .box-feedback{
        height: auto;
        width: auto;
        margin: 30px 0;
    }

    .box-feedback:hover {
        transform: scale(1.1);
        width: 80vw;
        margin: 30px 50px;
        border: 1px solid rgb(255, 0, 0);
        z-index: 100;

    }

    .section-map iframe{
        width: 80vw;
        height: 50vh;
    }

    .section-map iframe:hover{
        transform: scale(1.0);
    }

    .fundo img{
        width: 80vw;
        height: 80vh;

    }

    .whatsapp{
        width: 300px;
        height: 50px;
        margin-top: 20px;
    }

    .instagram{
        width: 300px;
        height: 50px;

    }

    .formulario-fale-conosco {
    width: 300px;
    background-color: white;
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 20%;
    left: -290px;
    padding: 30px;
    border-radius: 10px;
    gap: 10px;
    transition: left 0.5s ease;

}
}

